package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolStairRemoveitemRequest struct {
	/*
	   商品sku信息     */
	Param0 *domain.AlibabaWdkMarketingItempoolStairRemoveitemItemPoolSku `json:"param0" required:"true" `
	/*
	   活动信息     */
	Param1 *domain.AlibabaWdkMarketingItempoolStairRemoveitemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaWdkMarketingItempoolStairRemoveitemRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolStairRemoveitemItemPoolSku) *AlibabaWdkMarketingItempoolStairRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairRemoveitemRequest) SetParam1(v domain.AlibabaWdkMarketingItempoolStairRemoveitemCommonActivityParam) *AlibabaWdkMarketingItempoolStairRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolStairRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolStairRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
